<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/SiteBuilder/AccountService/v_3_2" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/SiteBuilder/AccountService/v_3_2" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/SiteBuilder/AccountService/v_3_2">
      <s:element name="CreateAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="AccountRoles">
        <s:restriction base="s:string">
          <s:enumeration value="Administrator"/>
          <s:enumeration value="Reseller"/>
          <s:enumeration value="SiteOwner"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="CreateAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="AccountValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="AccountId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsBuiltIn" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="CreationDate" type="s:dateTime"/>
          <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Email" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="FirstName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="LastName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsLockedOut" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="Role" type="tns:AccountRoles"/>
          <s:element minOccurs="0" maxOccurs="1" name="Profile" type="tns:ProfileValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="PlanId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsChangePasswordAllowed" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerId" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ProfileValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Language" type="tns:LanguageValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="Theme" type="tns:ThemeValue"/>
          <s:element minOccurs="1" maxOccurs="1" name="ListSize" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="HideOverviewPage" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="ShowGettingStarted" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="TemplateListSize" type="s:int"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="LanguageValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="LanguageId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="EnglishName" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ThemeValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="ThemeId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="CreateAccountWithNewPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAccountWithNewPlanResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAccountFull">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="changePasswordAllowed" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAccountFullResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByName">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByNameResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="usernames" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="DeleteAccountResponse">
        <s:complexType/>
      </s:element>
      <s:element name="UpdateAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newEmail" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newFirstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newLastName" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="newRole" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPlanId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateAccountResponse">
        <s:complexType/>
      </s:element>
      <s:element name="UpdateAccountById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newEmail" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newFirstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newLastName" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="newRole" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPlanId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateAccountByIdResponse">
        <s:complexType/>
      </s:element>
      <s:element name="SetAccountStatus">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="usernames" type="tns:ArrayOfString"/>
            <s:element minOccurs="1" maxOccurs="1" name="status" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAccountStatusResponse">
        <s:complexType/>
      </s:element>
      <s:element name="FindAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="startPos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortField" type="tns:AccountFields"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="0" maxOccurs="1" name="roleFilter" type="tns:ArrayOfAccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="AccountFields">
        <s:restriction base="s:string">
          <s:enumeration value="UserName"/>
          <s:enumeration value="Email"/>
          <s:enumeration value="FirstName"/>
          <s:enumeration value="LastName"/>
          <s:enumeration value="FullName"/>
          <s:enumeration value="IsLockedOut"/>
          <s:enumeration value="IsBuiltIn"/>
          <s:enumeration value="CreationDate"/>
          <s:enumeration value="OwnerName"/>
          <s:enumeration value="Role"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:complexType name="ArrayOfAccountRoles">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="AccountRoles" type="tns:AccountRoles"/>
        </s:sequence>
      </s:complexType>
      <s:element name="FindAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindAccountResult" type="tns:TotalListOfAccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfAccountValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfAccountValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfAccountValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="AccountValue" nillable="true" type="tns:AccountValue"/>
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="CreateAccountSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAccount"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAccountWithNewPlan"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAccountWithNewPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountFullSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAccountFull"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountFullSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAccountFullResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountFullCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameSoapIn">
    <wsdl:part name="parameters" element="tns:GetAccountByName"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameSoapOut">
    <wsdl:part name="parameters" element="tns:GetAccountByNameResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetAccountById"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetAccountByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteAccount"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateAccount"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountByIdSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateAccountById"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountByIdSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateAccountByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusSoapIn">
    <wsdl:part name="parameters" element="tns:SetAccountStatus"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusSoapOut">
    <wsdl:part name="parameters" element="tns:SetAccountStatusResponse"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindAccountSoapIn">
    <wsdl:part name="parameters" element="tns:FindAccount"/>
  </wsdl:message>
  <wsdl:message name="FindAccountSoapOut">
    <wsdl:part name="parameters" element="tns:FindAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="FindAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:portType name="AccountWebServiceSoap">
    <wsdl:operation name="CreateAccount">
      <wsdl:input message="tns:CreateAccountSoapIn"/>
      <wsdl:output message="tns:CreateAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <wsdl:input message="tns:CreateAccountWithNewPlanSoapIn"/>
      <wsdl:output message="tns:CreateAccountWithNewPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountFull">
      <wsdl:input message="tns:CreateAccountFullSoapIn"/>
      <wsdl:output message="tns:CreateAccountFullSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <wsdl:input message="tns:GetAccountByNameSoapIn"/>
      <wsdl:output message="tns:GetAccountByNameSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <wsdl:input message="tns:GetAccountByIdSoapIn"/>
      <wsdl:output message="tns:GetAccountByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <wsdl:input message="tns:DeleteAccountSoapIn"/>
      <wsdl:output message="tns:DeleteAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <wsdl:input message="tns:UpdateAccountSoapIn"/>
      <wsdl:output message="tns:UpdateAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccountById">
      <wsdl:input message="tns:UpdateAccountByIdSoapIn"/>
      <wsdl:output message="tns:UpdateAccountByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <wsdl:input message="tns:SetAccountStatusSoapIn"/>
      <wsdl:output message="tns:SetAccountStatusSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <wsdl:input message="tns:FindAccountSoapIn"/>
      <wsdl:output message="tns:FindAccountSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="AccountWebServiceSoap" type="tns:AccountWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="CreateAccount">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountFull">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccountFull" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAccountFullCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/GetAccountByName" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAccountByNameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/GetAccountById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/DeleteAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/UpdateAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccountById">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/UpdateAccountById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/SetAccountStatus" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetAccountStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/FindAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="AccountWebServiceSoap12" type="tns:AccountWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="CreateAccount">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountFull">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/CreateAccountFull" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAccountFullCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/GetAccountByName" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAccountByNameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/GetAccountById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/DeleteAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/UpdateAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccountById">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/UpdateAccountById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/SetAccountStatus" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetAccountStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/AccountService/v_3_2/FindAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="AccountWebService">
    <wsdl:port name="AccountWebServiceSoap" binding="tns:AccountWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="AccountWebServiceSoap12" binding="tns:AccountWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>